playMaker

Author Topic: Could not add PlayMakerLegacyNetworking proxy![SOLVED]  (Read 285 times)

autumnboy

  • Junior Playmaker
  • **
  • Posts: 67
    • View Profile
Could not add PlayMakerLegacyNetworking proxy![SOLVED]
« on: September 13, 2019, 04:05:08 PM »
I keep getting this error, had it for a while now

Is there a fix for this? I'm not actively using anything to do with networking just appears when I run the game.

From Fsmprocessor.cs

Playmaker 1.9.0.p18

Thanks
Josh
« Last Edit: October 08, 2019, 10:52:01 PM by jeanfabre »

djaydino

  • Administrator
  • Hero Member
  • *****
  • Posts: 4642
    • View Profile
    • jinxtergames
Re: Could not add PlayMakerLegacyNetworking proxy!
« Reply #1 on: September 14, 2019, 01:16:37 AM »
Hi.
What unity version are you using?

autumnboy

  • Junior Playmaker
  • **
  • Posts: 67
    • View Profile
Re: Could not add PlayMakerLegacyNetworking proxy!
« Reply #2 on: September 17, 2019, 01:06:47 AM »
Hi,

Unity 2018.4.8.f1

Cheers

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14815
  • Official Playmaker Support
    • View Profile
Re: Could not add PlayMakerLegacyNetworking proxy!
« Reply #3 on: September 17, 2019, 02:02:51 AM »
Hi,

The legacy Networking system is obsolete and removed from 2018.2.

Bye,

 Jean

autumnboy

  • Junior Playmaker
  • **
  • Posts: 67
    • View Profile
Re: Could not add PlayMakerLegacyNetworking proxy!
« Reply #4 on: September 17, 2019, 03:19:33 PM »
Okay, I'm not using the legacy networking system, not intentionally.
Does that mean there's an action referencing it?

Thanks,
Josh

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 14815
  • Official Playmaker Support
    • View Profile
Re: Could not add PlayMakerLegacyNetworking proxy!
« Reply #5 on: September 20, 2019, 02:17:53 AM »
Hi,

 then you need to clean your PlayMaker folder, it's likely during an upgrade of Unity that you carried away old playmaker code.

Bye,

 Jean

grimmy

  • Junior Playmaker
  • **
  • Posts: 67
    • View Profile
Re: Could not add PlayMakerLegacyNetworking proxy!
« Reply #6 on: October 08, 2019, 06:19:14 AM »
Im getting this error with a fresh Unity install (2019.2.8f1)and fresh Playmaker install (1.9.0)

?

What can I do? I already tried uninstalling/reinstalling playmaker and Unity..but still the same.

grimmy

  • Junior Playmaker
  • **
  • Posts: 67
    • View Profile
Re: Could not add PlayMakerLegacyNetworking proxy!
« Reply #7 on: October 08, 2019, 01:40:07 PM »
I deleted my library folder and the problem seems to have gone away :)